Loading...
Searching...
No Matches
fastjet::CDFMidPointPlugin Class Reference
Plugins for non-native jet definitions

Implementation of the MidPoint algorithm from CDF (plugin for fastjet-v2.1 upwards). More...

`#include <fastjet/CDFMidPointPlugin.hh>`

Inheritance diagram for fastjet::CDFMidPointPlugin:
[legend]
Collaboration diagram for fastjet::CDFMidPointPlugin:
[legend]

## Public Types

enum | SplitMergeScale { SM_pt , SM_Et , SM_mt , SM_pttilde }
| the choice of scale to be used in the split-merge step More...

## Public Member Functions

| CDFMidPointPlugin (double seed_threshold_in, double cone_radius_in, double cone_area_fraction_in, int max_pair_size_in, int max_iterations_in, double overlap_threshold_in, SplitMergeScale sm_scale_in=SM_pt)
| A CDFMidPointPlugin constructor that looks like the one provided by CDF.
| CDFMidPointPlugin (double cone_radius_in, double overlap_threshold_in, double seed_threshold_in=1.0, double cone_area_fraction_in=1.0)
| a compact constructor
double | seed_threshold () const
double | cone_radius () const
double | cone_area_fraction () const
int | max_pair_size () const
int | max_iterations () const
double | overlap_threshold () const
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the MidPoint algorithm from CDF (plugin for fastjet-v2.1 upwards).

A plugin for fastjet-v2.1 that provides an interface to the CDF midpoint algorithm

CDFMidPointPlugin is a plugin for fastjet (v2.1 upwards) that provides an interface to the CDF version of Run-II iterative cone algorithm with midpoint seeds (also known as the Iterative Legacy Cone Algorithm, ILCA).

The CDF code has been taken from Joey Huston's webpage http://www.pa.msu.edu/~huston/Les_Houches_2005/Les_Houches_SM.html

Note that the CDF midpoint code contains options that go beyond those described in the Tevatron run-II document (hep-ex/0005012), notably search-cones, as described in hep-ph/0111434, and midpoints bewteen multiplets of stable cones.

Additionally, the version of the CDF midpoint code distributed here has been modified by the FastJet authors, so as to allow one to choose the scale used in the split-merge step.

Definition at line 69 of file CDFMidPointPlugin.hh.

## Member Enumeration Documentation

## SplitMergeScale

enum fastjet::CDFMidPointPlugin::SplitMergeScale

the choice of scale to be used in the split-merge step

Definition at line 73 of file CDFMidPointPlugin.hh.

## Constructor & Destructor Documentation

## CDFMidPointPlugin() [1/2]

fastjet::CDFMidPointPlugin::CDFMidPointPlugin | ( | double | seed_threshold_in,
|  | double | cone_radius_in,
|  | double | cone_area_fraction_in,
|  | int | max_pair_size_in,
|  | int | max_iterations_in,
|  | double | overlap_threshold_in,
|  | SplitMergeScale | sm_scale_in = SM_pt )

inline

A CDFMidPointPlugin constructor that looks like the one provided by CDF.

Its arguments should have the following meaning:

- seed_threshold: minimum pt for a particle to be considered a seed of the iteration.
- cone_radius: standard meaning
- cone_area_fraction: stable-cones are searched for with a radius Rsearch = R * sqrt(cone_area_fraction), and then expanded to size R afterwards; note (hep-ph/0610012) that this introduces IR unsafety at NLO for X+2-jet observables (where X any hard object).
- max_pair_size: "midpoints" can be added between pairs of stable cones, triplets of stable cones, etc.; max_pair_size indicates the maximum number of stable cones that are assembled when adding midpoints.
- max_iterations: the maximum number of iterations to carry out when looking for a stable cone.
- overlap_threshold: if (overlapping_Et)/(Et_of_softer_protojet) < overlap_threshold, overlapping jets are split, otherwise they are merged.

- sm_scale: a choice for the scale to be used in the split-merge step (both for ordering the momenta and quantifying the overlap); the three options are

  . SM_pt: pt (default – source of small IR safety issue in purely hadronic events)

  . SM_Et: Et (not boost invariant, reduces to mt at zero rapidity and to pt and infinite rapidity)

  . SM_mt: transverse mass = sqrt(m^2+pt^2)

Definition at line 114 of file CDFMidPointPlugin.hh.

## CDFMidPointPlugin() [2/2]

fastjet::CDFMidPointPlugin::CDFMidPointPlugin | ( | double | cone_radius_in,
|  | double | overlap_threshold_in,
|  | double | seed_threshold_in = 1.0,
|  | double | cone_area_fraction_in = 1.0 )

inline

a compact constructor

NB: as of version 2.4, the default value for the overlap_threshold threshold has been removed, to avoid misleading people into using the value of 0.5 without thinking, which is known to have adverse effects in high-noise environments. A recommended value is 0.75.

Definition at line 137 of file CDFMidPointPlugin.hh.

## Member Function Documentation

## seed_threshold()

double fastjet::CDFMidPointPlugin::seed_threshold | ( |  | ) | const

inline

Definition at line 151 of file CDFMidPointPlugin.hh.

## cone_radius()

double fastjet::CDFMidPointPlugin::cone_radius | ( |  | ) | const

inline

Definition at line 152 of file CDFMidPointPlugin.hh.

## cone_area_fraction()

double fastjet::CDFMidPointPlugin::cone_area_fraction | ( |  | ) | const

inline

Definition at line 153 of file CDFMidPointPlugin.hh.

## max_pair_size()

int fastjet::CDFMidPointPlugin::max_pair_size | ( |  | ) | const

inline

Definition at line 154 of file CDFMidPointPlugin.hh.

## max_iterations()

int fastjet::CDFMidPointPlugin::max_iterations | ( |  | ) | const

inline

Definition at line 155 of file CDFMidPointPlugin.hh.

## overlap_threshold()

double fastjet::CDFMidPointPlugin::overlap_threshold | ( |  | ) | const

inline

Definition at line 156 of file CDFMidPointPlugin.hh.

## description()

string fastjet::CDFMidPointPlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 48 of file CDFMidPointPlugin.cc.

## run_clustering()

void fastjet::CDFMidPointPlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 89 of file CDFMidPointPlugin.cc.

## R()

virtual double fastjet::CDFMidPointPlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 163 of file CDFMidPointPlugin.hh.

The documentation for this class was generated from the following files:

- plugins/CDFCones/fastjet/CDFMidPointPlugin.hh
- plugins/CDFCones/CDFMidPointPlugin.cc